# containers.podman.podman – Interact with an existing podman container

Note

This plugin is part of the containers.podman collection (version 1.10.1).

To install it use: `ansible-galaxy collection install containers.podman`.

To use it in a playbook, specify: `containers.podman.podman`.

- Synopsis

- Parameters

## Synopsis

- Run commands or put/fetch files to an existing container using podman tool.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
podman_executable string | Default: "podman" | env:ANSIBLE_PODMAN_EXECUTABLE var: ansible_podman_executable | Executable for podman command.
podman_extra_args string | Default: "" | ini entries: [defaults] podman_extra_args = env:ANSIBLE_PODMAN_EXTRA_ARGS var: ansible_podman_extra_args | Extra arguments to pass to the podman command line.
remote_addr string | Default: "inventory_hostname" | var: ansible_host var: inventory_hostname var: ansible_podman_host | The ID of the container you want to access.
remote_user string |  | ini entries: [defaults] remote_user = None env:ANSIBLE_REMOTE_USER var: ansible_user | User specified via name or UID which is used to execute commands inside the container. If you specify the user via UID, you must set `ANSIBLE_REMOTE_TMP` to a path that exits inside the container and is writable by Ansible.

### Authors

- Tomas Tomecek (@TomasTomecek)